# custom_transition

A new Flutter package project.

## Getting Started

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/),
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.

## Example

```dart
    return Center(
      child: MaterialButton(
        color: Colors.black54,
        shape: StadiumBorder(),
        padding: EdgeInsets.symmetric(
          horizontal: 20
        ),
        child: Text(
          'Ir a página 2',
          style: TextStyle(
            color: Colors.white
          ),
        ),
        onPressed: (){
          CustomTransition(
            context: context,
            child: Page2(),
            animationType: AnimationType.fadeIn,
            duration: Duration(milliseconds: 550)
          );
        },
      )
    );
```
